%global fontname gnu-free
%global fontconf 60-%{fontname}

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

Name:      %{fontname}-fonts
Version:   20120503
Release:   1
Summary:   Free UCS Outline Fonts
Group:     User Interface/X
# Standard font exception
License:   GPLv2+ with exceptions
URL:       http://www.nongnu.org/freefont/ 
Source0:   http://savannah.nongnu.org/download/freefont/freefont-ttf-%{version}.zip
Source1:   http://savannah.nongnu.org/download/freefont/freefont-ttf-%{version}.zip.sig
Source2:   %{fontconf}-mono.conf
Source3:   %{fontconf}-sans.conf
Source4:   %{fontconf}-serif.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: unzip

%description
This is just a dummy to satisfy RPM.


%package -n %{fontname}-mono-fonts
Summary:  GNU FreeFont Monospaced Font
Group:    User Interface/X
Requires: fontconfig

%description -n %{fontname}-mono-fonts
Gnu FreeFont is a free family of scalable outline fonts, suitable for general
use on computers and for desktop publishing. It is Unicode-encoded for
compatibility with all modern operating systems.

Besides a full set of characters for writing systems based on the Latin
alphabet, FreeFont contains large selection of characters from other writing
systems some of which are hard to find elsewhere.

FreeFont also contains a large set of symbol characters, both technical and
decorative. We are especially pleased with the Mathematical Operators range,
with which most of the glyphs used in LaTeX can be displayed.

This package contains the GNU FreeFont monospaced font.


%package -n %{fontname}-sans-fonts
Summary:  GNU FreeFont Sans-Serif Font
Group:    User Interface/X
Requires: fontconfig

%description -n %{fontname}-sans-fonts
Gnu FreeFont is a free family of scalable outline fonts, suitable for general
use on computers and for desktop publishing. It is Unicode-encoded for
compatibility with all modern operating systems.

Besides a full set of characters for writing systems based on the Latin
alphabet, FreeFont contains large selection of characters from other writing
systems some of which are hard to find elsewhere.

FreeFont also contains a large set of symbol characters, both technical and
decorative. We are especially pleased with the Mathematical Operators range,
with which most of the glyphs used in LaTeX can be displayed.

This package contains the GNU FreeFont sans-serif font.


%package -n %{fontname}-serif-fonts
Summary:  GNU FreeFont Serif Font
Group:    User Interface/X
Requires: fontconfig

%description -n %{fontname}-serif-fonts
Gnu FreeFont is a free family of scalable outline fonts, suitable for general
use on computers and for desktop publishing. It is Unicode-encoded for
compatibility with all modern operating systems.

Besides a full set of characters for writing systems based on the Latin
alphabet, FreeFont contains large selection of characters from other writing
systems some of which are hard to find elsewhere.

FreeFont also contains a large set of symbol characters, both technical and
decorative. We are especially pleased with the Mathematical Operators range,
with which most of the glyphs used in LaTeX can be displayed.

This package contains the GNU FreeFont serif font.


# all this hoopla is required because RPM V3 (which we are stuck with on AIX)
# does not understand ZIP archives as source files :-(
%prep
/usr/bin/rm -rf freefont-%{version}
unzip %{SOURCE0}
%setup -T -D -n freefont-%{version}


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp *.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-mono.conf
cp %{SOURCE3} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-sans.conf
cp %{SOURCE4} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-serif.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/*.conf

for f in %{fontconf}-mono.conf %{fontconf}-sans.conf %{fontconf}-serif.conf ; do
    ln -s %{_fontconfig_templatedir}/$f ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/$f
done


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n %{fontname}-mono-fonts
%defattr(-,root,system,-)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL README
%{_fontconfig_confdir}/%{fontconf}-mono.conf
%{_fontconfig_templatedir}/%{fontconf}-mono.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/FreeMono*.ttf


%files -n %{fontname}-sans-fonts
%defattr(-,root,system,-)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL README
%{_fontconfig_confdir}/%{fontconf}-sans.conf
%{_fontconfig_templatedir}/%{fontconf}-sans.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/FreeSans*.ttf


%files -n %{fontname}-serif-fonts
%defattr(-,root,system,-)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL README
%{_fontconfig_confdir}/%{fontconf}-serif.conf
%{_fontconfig_templatedir}/%{fontconf}-serif.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/FreeSerif*.ttf


%changelog
* Thu May 03 2012 Michael Perzl <michael@perzl.org> - 20120503-1
- updated to version 20120503

* Thu Sep 30 2010 Michael Perzl <michael@perzl.org> - 20100919-1
- first version for AIX V5.1 and higher
